/* 
This file is part of the BIAS library (Basic ImageAlgorithmS).

Copyright (C) 2003-2009    (see file CONTACT for details)
  Multimediale Systeme der Informationsverarbeitung
  Institut fuer Informatik
  Christian-Albrechts-Universitaet Kiel


BIAS is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or
(at your option) any later version.

BIAS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with BIAS; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


/**
   @example ExampleRealtime.cpp
   @class ExampleRealtime
   @relates Timing
   @brief Example for using the logging facility 
   @ingroup g_examples
   @author MIP   
   \todo fix WIN32 performance counters and TimeMeasure realtime / wall clock counters.
*/

#include <Base/Common/LeakChecking.h>
#include <Base/Debug/Timing.hh>
#include <iostream>

#ifdef WIN32
#  include <windows.h>
#endif

using namespace std;

void func(void)
{
  {
    unsigned int n=10000;
    int * p = new int[n];
    for (unsigned int i=0; i<n; i++)
      p[i] =0;
    delete[] p;
  }

#ifdef WIN32
  LARGE_INTEGER time;
  //LARGE_INTEGER freq;
  if (QueryPerformanceCounter(&time) == 0){
  }
#endif
}

int main(int argc, char *argv[])
{
  func();

  //double start=0, stop=0, diff=0;
  //start = BIAS::realtime();
  //stop  = BIAS::realtime();
  //diff  = stop-start;

  //cout<<"diff= "<<diff<<endl;
  return 0;
}
