# SGLock_ROOT_DIR
# SGLock_LIB_DIR  
# SGLock_FOUND   
# SGLock_INCLUDE_DIR
# SGLock_LIBRARIES 


SET(SGLock_FOUND FALSE)
#
IF(WIN32)
  SET(CM_SEARCH_ROOT   C:/Programme/SGIntech)
  SET(CM_LIB SglW32)
ELSE(WIN32)
MESSAGE("SGLock not yet available for Linux")
  SET(CM_SEARCH_ROOT   /usr)
  SET(CM_LIB wibucmlin)
ENDIF(WIN32)

FIND_PATH(SGLock_ROOT_DIR SglW32.h
 ${CM_SEARCH_ROOT}
 )

SET(SGLock_INCLUDE_DIR "${SGLock_ROOT_DIR}")
SET(SGLock_LIBRARY_DIR "${SGLock_ROOT_DIR}")

FIND_LIBRARY(SGLock_LIBRARIES   ${CM_LIB}
  ${SGLock_LIBRARY_DIR}
 )

#MESSAGE("SGLock_ROOT: " ${SGLock_ROOT_DIR})
#MESSAGE("SGLock_LIBRARY_DIR: " ${SGLock_LIBRARY_DIR})
#MESSAGE("SGLock_LIBRARIES ${SGLock_LIBRARIES}" )
                           
MARK_AS_ADVANCED(SGLock_INCLUDE_DIR)
MARK_AS_ADVANCED(SGLock_LIBRARIES)

IF(SGLock_ROOT_DIR AND SGLock_LIBRARIES) 
  SET(SGLock_FOUND TRUE)
ENDIF(SGLock_ROOT_DIR AND SGLock_LIBRARIES) 

