#include <GLviewer/Scenes/SimpleQuad.hh>

#include <Gui/biasgl.h>

using namespace BIAS;

void SimpleQuad::
Draw()
{
  float red[4] = {1.0, 0.0, 0.0, 1.0};
  float white[4] = {1.0, 1.0, 1.0, 1.0};
  float black[4] = {0.0, 0.0, 0.0, 1.0};
  glMaterialfv(GL_FRONT_AND_BACK, GL_AMBIENT, black);
  glMaterialfv(GL_FRONT_AND_BACK, GL_DIFFUSE, red);
  glMaterialfv(GL_FRONT_AND_BACK, GL_SPECULAR, white);

  glColor3f(1.0, 0.0, 0.0);
   glBegin(GL_QUADS);
   glNormal3f(0.0, 0.0, 1.0);
   glVertex3f(-1.0, -1.0, 0.0);

   //glNormal3f(0.0, 0.0, 1.0);
   glVertex3f(1.0, -1.0, 0.0);

   //glNormal3f(0.0, 0.0, 1.0);
   glVertex3f(1.0, 1.0, 0.0);

   //glNormal3f(0.0, 0.0, 1.0);
   glVertex3f(-1.0, 1.0, 0.0);
   glEnd();
}
