#ifndef __wxMessageDialogCheckbox__
#define __wxMessageDialogCheckbox__

#include <bias_config.h>
#include <Base/Common/W32Compat.hh>

#include <wx/string.h>
#include <wx/stattext.h>
#include <wx/gdicmn.h>
#include <wx/font.h>
#include <wx/colour.h>
#include <wx/settings.h>
#include <wx/checkbox.h>
#include <wx/sizer.h>
#include <wx/button.h>
#include <wx/dialog.h>

///////////////////////////////////////////////////////////////////////////

#define wxID_CHECKBOX 2319

///////////////////////////////////////////////////////////////////////////////
/// Class wxMessageDialogCheckbox
///////////////////////////////////////////////////////////////////////////////

namespace BIAS{

  class BIASGui_EXPORT wxMessageDialogCheckbox : public wxDialog 
  {
	private:
	
 
	protected:
	  wxStaticText* displayText_;
	  wxCheckBox* checkBox_;
	  wxStdDialogButtonSizer* m_sdbSizer2;
	  wxButton *m_button1,*m_button2;	
      wxWindow* parent;

	public:
		wxMessageDialogCheckbox( wxWindow* parent, 
                             const wxString& title = wxT("Ok dialog with check box"), 
                             const wxString& text = wxT("Your question?"), 
                             const wxPoint& pos = wxDefaultPosition, 
                             const wxSize& size = wxSize(200,120), 
                             long style = wxOK | wxDEFAULT_DIALOG_STYLE );
		~wxMessageDialogCheckbox();

    bool GetChecked();
  };
}
#endif //__wxMessageDialogCheckbox__
