#include <bias_config.h>

#include "GlewInitWrapper.hh"
#ifdef BIAS_HAVE_GLEW
# include <Gui/biasgl.h>
#endif
using namespace BIAS;

GlewInitWrapper::GlewInitWrapper()
{
#ifdef BIAS_HAVE_GLEW
  IsInitialised_ = false;
#else
  IsInitialised_ = true;
#endif
}

int GlewInitWrapper::Init()
{
  int res=0;
#ifdef BIAS_HAVE_GLEW
  if (!IsInitialised_) {
    res = glewInit();
    if (res ==GLEW_OK) IsInitialised_ = true;
    else BIASERR("glewInit failed: "<<res);
  }
#endif
  return res;
}
