#include <bias_config.h>
#include "GlutInitWrapper.hh"

#ifdef BIAS_HAVE_GLUT
# include <Gui/biasgl.h>
#endif

using namespace BIAS;

GlutInitWrapper::GlutInitWrapper(){
#ifdef BIAS_HAVE_GLUT
  IsInitialised_ = false;
#else
  IsInitialised_ = true;
#endif
}

int GlutInitWrapper::Init()
{
  int res=0;
#ifdef BIAS_HAVE_GLUT
  if (!IsInitialised_) {
  	int c = 1;
  	char* temp = (char*)"empty";
  	char* v[1]; v[0] = temp;
  	glutInit(&c,v);  	      
  	IsInitialised_ = true;    
  }
#else
  BIASERR("You can't call glutInit without GLUT, stupid!");
  return -1;
#endif
  return res;
}

int GlutInitWrapper::Init(int argc, char* argv[])
{
  int res=0;
#ifdef BIAS_HAVE_GLUT
  if (!IsInitialised_) {  	
  	glutInit(&argc,argv);  	      
  	IsInitialised_ = true;    
  }
#else
  BIASERR("You can't call glutInit without GLUT, stupid!");
  return -1;
#endif
  return res;
}
