/*
This file is part of the BIAS library (Basic ImageAlgorithmS).

Copyright (C) 2003-2009    (see file CONTACT for details)
  Multimediale Systeme der Informationsverarbeitung
  Institut fuer Informatik
  Christian-Albrechts-Universitaet Kiel


BIAS is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or
(at your option) any later version.

BIAS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with BIAS; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
/** 
    This file defines programs for BIAS to disable some warning on WIN32 /W4 pedantic compilation mode.
    You MUST use the Start/End files only in pairs !
    Use it like this in .cpp file: 
    \verbatim
    #include <BIASpragmaStart.hh>
    ... code ...
    #include <BIASpragmaStop.hh>
    \endverbatim
    @author Jan Woetzel 08/2005
*/

#if defined(WIN32) && defined(_MSC_VER)
/* #  pragma warning( push ,3 ) */
#  pragma warning( push )
#  include <Base/Common/BIASpragma.hh>
#endif /* WIN32 & MSC */
