#include <Gui/OpenGLCanvasBase.hh>
#include <wx/wx.h>


using namespace BIAS;
using namespace std;


// --------------------------------------------------------

/**
 * @example ExampleOpenGLCanvasBase.cpp
 * @ingroup g_examples
 * @brief Implement a simple example for the OpenGLCanvasBase canvas.
 * Please note the specialized canvases liek the OpenGLCanvas (without Base) or the ImageCanvasGL
 * which may be a betetr choice for you.
 * @author Jan Woetzel 
 */
class ExampleOpenGLCanvasApp : public wxApp {
  virtual bool OnInit(); 
}; // end of ExampleOpenGLCanvasApp -----------------------


enum _ExampleOpenGLCanvasMyFrameIDs_ {
	ID_ABOUT=wxID_ABOUT,
	ID_QUIT
};


// --------------------------------------------------------

class MyFrame: public wxFrame {
public:
  MyFrame(const wxString& title, const wxPoint& pos, const wxSize& size);
  void OnQuit(wxCommandEvent& event);
  void OnAbout(wxCommandEvent& event);

  // data member ---
  BIAS::OpenGLCanvasBase * p_canvas;

  DECLARE_EVENT_TABLE()
}; // end of MyFrame --------------------------------------

