/** 
 *  @example ExampleSimpleGLApp
 *  @brief examples for very simple GL application with a single scene
 *  @ingroup g_examples
 */
#include <Gui/SimpleGLApp.hh>
#include "SimpleSceneGL.hh"


class ExampleSimpleGLApp : public BIAS::SimpleGLApp {
public:
  ExampleSimpleGLApp() : SimpleGLApp()
  {
    this->scene = new SimpleSceneGL(); //< create din ctor but called in Display
  }
};

IMPLEMENT_APP(ExampleSimpleGLApp)
