#ifndef _glstuff_h_
#define _glstuff_h_

/** 
wrapper that asserts compilations with OpenGL AND glew.
- Please note that the app. ha sto call glewinit like this:
\verbatim
  if (!(GLEW_VERSION_1_1)) {
    // init and try again:
    GLenum result = glewInit();
    if (result != GLEW_OK){
      BIASERR("glewInit failed.");
    };
  }
\endverbatim
\attention DEPECATED2006/Mar/10 Replaced by biasgl.h - Jan Woetzel

author: Jan Woetzel
*/

#include <bias_config.h>

#ifndef BIAS_HAVE_OPENGL
#  error Please recompile BIAS with USE_OPENGL to use OpenGL.
#endif // BIAS_HAVE_OPENGL 

#ifndef BIAS_HAVE_GLEW
#  error Please recompile BIAS with USE_GLEW to use GL extension handler GLEW. 
#endif // BIAS_HAVE_GLEW

// new file: 
#include <Gui/biasgl.h>


#endif // _glstuff_h_ 
// DO NOT ADD CODE AFTER THIS LINE
