/* 
This file is part of the BIAS library (Basic ImageAlgorithmS).

Copyright (C) 2003, 2004    (see file CONTACTS for details)
Multimediale Systeme der Informationsverarbeitung
Institut fuer Informatik
Christian-Albrechts-Universitaet Kiel


BIAS is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or
(at your option) any later version.

BIAS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with BIAS; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <Image/HomographyRectification.hh>

using namespace BIAS;
using namespace std;

template <class InputStorageType, class OutputStorageType>
int HomographyRectification<InputStorageType, OutputStorageType>::
Rectify()
{
  //determine rectified bases
  //  return if forward movement
  //set homographies
  //determine bounding boxes clipp left and right individually
  //set rectification parameters as projections
  //use homography mapping for image generation


  return 0;
}

template <class InputStorageType, class OutputStorageType>
int HomographyRectification<InputStorageType, OutputStorageType>::
RectifyMinImageSize()
{
  return 0;
}

template <class InputStorageType, class OutputStorageType>
int HomographyRectification<InputStorageType, OutputStorageType>::
Disp2Depth(const Image<float>& DisparityMap, 
            Image<float>& DepthMap, 
            unsigned int border)
{
  //use homgraphies to establish correspondances
  //triangulate with orig params
  return 0;
}

template <class InputStorageType, class OutputStorageType>
 bool HomographyRectification<InputStorageType, OutputStorageType>::
    IsInputCameraValid(const BIAS::Image<InputStorageType>& img,
                       const BIAS::ProjectionParametersBase* proj)
 {
   const ProjectionParametersPerspective* ppp = 
    dynamic_cast<const ProjectionParametersPerspective*>(proj);
  
  if (ppp == NULL) {
    return false;
  }

  return true;
 }


//
// solve explicit instantiation JW
// TODO
//
//#define INSTANCE_HomRect(type)  template class BIASImage_EXPORT Image<type>;

// create instances
//INSTANCE_HomRect(unsigned char)
//INSTANCE_HomRect(float)

//#ifdef BUILD_IMAGE_INT
//INSTANCE_HomRect(int)
//#endif
//#ifdef BUILD_IMAGE_CHAR
//INSTANCE_HomRect(char)
//#endif
//#ifdef BUILD_IMAGE_SHORT
//INSTANCE_HomRect(short)
//#endif
//#if defined(BUILD_IMAGE_USHORT) 
//INSTANCE_HomRect(unsigned short)
//#endif
//#ifdef BUILD_IMAGE_DOUBLE
//INSTANCE_HomRect(double)
//#endif
//#ifdef BUILD_IMAGE_UINT
//INSTANCE_HomRect(unsigned int)
//#endif
