#ifndef __UDPDATACONSUMER__
#define __UDPDATACONSUMER__

#include <Base/Common/BIASpragmaStart.hh>

/** 
  @class UDPDataConsumer
  @brief interface class for UDP data
	@ingroup network
  @author Daniel Grest, Jan. 2004
  */
class UDPDataConsumer {

public:

  virtual ~UDPDataConsumer();

  virtual void consume_complete_message(int number_of_parts, 
					char** parts, 
					int size_of_parts,
					int size_of_last_part) {};
};


#include <Base/Common/BIASpragmaEnd.hh>

#endif


